ブラウザとバージョンによって、使用を制限したいのですが、ブラウザがNetscapeだと .disabled が使用できないみたいなのですが。
今ブラウザ情報の取得も以下のとおりかなり間に合わせ的なもので、もっといいやり方を教えていただけるとうれしいのですが、ちょっと急いでおりますのでご返答のほうよろしくお願い致します。
<!-- ブラウザ情報
document.write('<center><TABLE border="1" align="center">');
document.write("<TD></TD>あなたのブラウザ情報です</TR>");
document.write("<TR><TD>ブラウザ名は</TD><TD>"+navigator.appName+"</TD></TR>");
document.write("<TR><TD>バージョンは</TD><TD>"+navigator.appVersion+"</TD></TR>");
document.write("</TABLE>");
// ブラウザ情報 -->
function GetVer(nvName, nvVer){
var Name;
Name = new String(nvName);
if(eval(Name) != "Microsoft Internet Explorer"){
mainForm.KAI_ACCT.disabled = true;
mainForm.KAI_PASS.disabled = true;
alert("このブラウザには対応していません。IE 5.0以上で使用してください。");
return false;
}else{
var Version;
Version = new String(nvVer);
eval(Version.charAt(22));
if( eval(Version.charAt(22)) < 5 ){
mainForm.KAI_ACCT.disabled = true;
mainForm.KAI_PASS.disabled = true;
alert("このブラウザには対応していません。IE 5.0以上で使用してください。");
return false;
}else{
return true;
}
}
}

このQ&Aに関連する最新のQ&A

A 回答 (1件)

管理者より:


同等の質問があるのでそちらをご参照下さい

参考URL:http://www.okweb.ne.jp/kotaeru.php3?q=36653
    • good
    • 0

お探しのQ&Aが見つからない時は、教えて!gooで質問しましょう!


人気Q&Aランキング

おすすめ情報